<%#
we could have also supplied a url by:
url: url_for(controller: 'appointments', action: 'create')
%>

<div class="col-md-6 col-md-offset-3">
  <%= form_for([@current_user, @appointment ], {:class => "form"}) do |f| %>
    
    <% if @appointment.errors.any? %>
      <div id="error_explanation">
        <h2><%= pluralize(@appointment.errors.count, "error") %> prohibited this course from being saved:</h2>

        <ul>
          <% @appointment.errors.full_messages.each do |message| %>
            <li><%= message %></li>
          <% end %>
        </ul>
      </div>
    <% end %>

    <!-- <div class="field">
         <%#= f.label :note %><br>
         <%#= f.text_field :note_id %>
         </div> -->
    
    <div class="form-group">
      <%= f.label :advisor %>
      <%= f.collection_select :advisor_id, User.get_advisors, :id, :first_name, {}, {:class => "form-control"} %>
    </div>

    <div class="form-group">
      <%= f.label :start_time %>
      <%= f.datetime_select :start_time %>
    </div>


    <div class="actions">
      <%= f.submit "Submit", :class => "btn btn-default" %>
    </div>
  <% end %>

</div>
